spool e:\cocktail\Mangue\import_bx4\xml\adresses.xml
set heading off
set long 1000
set pagesize 0

PROMPT <?xml version="1.0" encoding="iso-8859-1" ?><IMPORT>
PROMPT <ADRESSES>

SELECT XMLElement("ADRESSE",
			XMLFOREST(
				I.NO_INDIVIDU "ID_SOURCE",
				ID_ADRESSE_PERSO "ADR_SOURCE",
				NO_VOIE || BIS_TER ||' ' ||C_VOIE||' '||NOM_VOIE "ADRESSE1",
				HABITANT_CHEZ "ADRESSE2",
				A.CODE_POSTAL "CODE_POSTAL",
				VILLE "VILLE",
				C_PAYS "PAYS",
				CP_ETRANGER "CP_ETRANGER",
				I.NO_E_MAIL "E_MAIL",
				'PERSO' "TYPE_ADRESSE"))
   FROM INDIVIDU I, ADRESSE_PERSONNELLE A, INDIVIDU_E_MAIL M, CODE_INSEE CI, PERSONNEL P
   WHERE I.NO_INDIVIDU = A.NO_INDIVIDU (+)
   AND I.NO_INDIVIDU = M.NO_INDIVIDU (+)
   AND I.NO_INDIVIDU = P.NO_DOSSIER_PERS
   AND CI.NO_DOSSIER_PERS = P.NO_DOSSIER_PERS;


PROMPT </ADRESSES>
PROMPT </IMPORT>

spool off